~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
December 22, 2011: Friendly Pinger 5.0.1
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

Friendly Pinger is Freeware now.

Visit our web site for more information:
http://www.kilievich.com

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
December 27, 2004: Friendly Pinger 5.0
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

Briefly: Multi-Maps, Maps Server, Edit Mode,
         different scan modes (besides ping),
         various map backgrounds, labels, rectangles,
         PNG, FTP, FAR, binding the hub to the hub,
         notifications for hubs, plugins, API,
         e-mail authentication, new toolbar,
         sufficient application speed up, new-made core,
         old bugfixes.

General:

+ Added: Romanian and German interface languages.

+ Added: Thanks to the built-in error report system
         (activated on the error)
         a lot of reports were received and operated on.
         Almost all the errors were detected and fixed.
         Thanks to all, who agreed sending us the report
         Thanks to You, our products become more reliable.

+ Added: No more e-mail update notifications.
         Now the notification is built in the program and is enabled if you want it.
         "File|Options|Other|Check for new version on startup"
 
+ Added: "Create shortcut in Quick Launch panel" during the installation process.

Map:

+ Added: Opening several maps at a time.

+ Added: Display of the map edit and changing modes in the map tabs.

+ Added: Maps server - allows users to update maps synchronically, 
         and administrators can synchronically edit them.
         "Help|Options|Maps Server".
 
+ Added: "File|Options|Maps".
 
+ Added: View/Edit mode with the map write-protection.

+ Added: Menu "File|Reopen" is now duplicated in the control panel, near the Open Map button.
         
+ Added: Plugins - allows you to differentiate the device scan methods, and create the new ones.

+ Added: "File|Update Map".
 
+ Added: Interface settings are now saved with the map.
 
+ Added: Adding labels/rectangles.

+ Added:  Horizontal aligning by centre.
 
+ Added: External commands execution for a group of selected devices.
 
+ Added: Support of e-mail servers, required authentication.
         (File|Options|E-Mail|My server required authentication)
 
+ Added: Export to PNG.

+ Added: Export to FTP.

+ Added: FTP support for
         "Notification|Notification options|Display events on Web-page".

+ Added: The ability to export without the backgroung image.

+ Added: sufficient increase in animation.
         CPU load is greatly reduced.

+ Added: Objects dragging speed-up.

+ Added: Maps open much faster,
         due to the sub-map graph caching.
         Sub-map opening speed up,
         due to the thing that they are always taken from the cache.
         Select "File|Open" to read from the file again.
 
+ Added: New mean of internal binding allowed notification binding by the identifiers. 
         It allowed assigning notification to the non-address devices (nubs, switches etc.).
 
+ Added: Notification on several maps at once.

+ Added: You may now connect non-address devices (hubs, switches etc.) to each other.
         In this case they act as one object, 
         i.e. all the hubs in a binding will be switched on, 
         if at least one device, attached to any switch in the binding is on.
 
+ Added: Start/Go down notification for non-address devices (hubs/switches).
         Allows assigning "complicated conditions", 
         when several devices go down, for example.
 
+ Added: Saving all the animation shots in one bitmap file - 
         memory economy and a sufficient decrease in the number of GDI objects used.
         It was especially critical in Windows 9x/ME.
 
+ Added: External commands are easy to use now.
         Their interface is now moved to 'File|Options|Commands'.
 
+ Added: Re-sort of the external commands.

+ Added: Paused devices state is now saved on exit.
 
+ Added: Device may be opened in FAR now.

+ Added: Line types (File|Options|Lines).

+ Added: You may now specify the line's length and type.

+ Added: New map information dialog window style.

+ Added: Representation of the number of lines of each type and their length
         (View|Map Information|Line Types)
 
+ Added: You may use '%Address' macros instead of the device address

+ Added: Control panel was done anew.

+ Added: Trace Route for additional addresses.

+ Added: Serach of the devices in the sub-maps by device's additional information.

+ Added: Generalized search.

+ Added: Representation of cursor position on the map while moving it.

+ Added: Enter works as a double-click on the device, 
         when you are in the edit mode, 
         instead of calling in the configuration dialog window.
 
+ Added: The ability to change the colors of several lines at once.

+ Added: You may now point the line node insertion point with the mouse.

+ Added: Now enabling the grib (hold the Ctrl key) 
         is also applied to the lines adding.
 
+ Added: You may now drag the lines by the edge.

+ Added: You may now use %Time and %Name keys in 
         the notification external command parameters.
 
+ Added: Scroll bars ar now moved automatically 
         when you select a group of objects with the mouse.
 
+ Added: F2 - call in the selected device's configuration dialog window.

+ Added: Ctrl+A (select all) in Lite version.

+ Added: Ping/Trace context menu in the Lite version.

+ Added: The ability to scan all the devices, 
         not just the ones that are switched on.

+ Added: Map rendering is now faster.

+ Added: Last map position is now saved.

+ Added: F5 pings devices, even if pause mode is enabled.

+ Added: "Copy Address"  button in the device context menu.

+ Added: "Change" button in the notification window.

+ Added: Plugins now require the new way of saving the devices' state.
         The format of Status.dat was changed.
 
+ Added: FPServer is not used anymore, its functions were transferred to the plugins.

+ Added: Additional addresses settings configuration was simplified.

+ Added: ESC now cancels the line addition during the process of line adding, 
         instead of minimizing the application.

+ Added: Switch icon (Switch.gif).

+ Added: Cable laying date option in the line properties.

+ Fixed: Edge flipping while dragging the map.
 
* Fixed: Modem and minicomputer icons bug.
 
* Fixed: Error when working with several post servers.

* Fixed: After calling in the file dialogs, 
         the current program directory changed.

* Fixed: Icons are not transparent in the hints, when using gifs.

* Fixed: Some control panel bugfixes.

* Fixed: Red color map background filling bug, 
         when the tracing was on and a different map was opened.
 
* Fixed: Additional addresses flipping during the ping process.

* Fixed: Standard palette color selection bug.

* Fixed: Device search bug, when a lot of maps are included in the process.

* Fixed: Large CPU load when dragging objects.

* Fixed: Same IP addresses were regarded as the same e.g., 127.0.0.1 and 127.0.0.01
 
* Fixed: Additional scroll barsappearance bug.

* Fixed: Device ping process circularity, if a device is removed during the check.

* Fixed: Letters division bug in the hints.

Connections:

+ Added: Status bar.
+ Added: New style of customization window.
+ Added: "Options|Notification|Only according to kicklist".
+ Added: "Options|Notification|Play sound file".
+ Added: "Options|Service".
+ Added: "Options|Other'.
+ Added: "Options|Remote|Brose".
+ Added: Refresh rate in milliseconds.
+ Added: Hot keys for some operations.
+ Added: "Report" in context menu.
+ Added: Representation of the browsed computer in the header.
+ Added: Defining of computer or user name in black/white list as a mask:
          ? - one symbol; 
          * - zero, one or several symbols; 
          | - all that further - exclusionary mask.
+ Added: Kick all mode while executed defined application.
+ Added: Opportunity to remember connections only with opened files.
+ Added: Notification sound file is improved.

* Fixed: Information panel size was not remembered.
* Fixed: Bug with checking only by computer name in black/white list.
* Fixed: Fatal error at deleting computer from the list
         while looking its context menu.
* Fixed: When "notify on connection" only option is enabled, it notified on each file opened.

Inventory:

+ Added: New product: Friendly Network Inventory - inventory from FPinger.
+ Added: New style of configuration window.
+ Added: Support of e-mail servers with authorization.
         (Options|Parameters|E-Mail|My server required authorization)
+ Added: Export departments to SQL/ADO/Text.
         
* Fixed: Some small bugs.         

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
July 28, 2003: Friendly Pinger 4.2.3
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

* Fixed: Some small bugs at installation.

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
July 26, 2003: Friendly Pinger 4.2.2
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

This intermediate version was built as a result of Friendly Net Watcher release.

+ Added: New product: Friendly Net Watcher - is 'Connections' from FPinger.
+ Added: 'Connectios' is renamed to 'FWatcher'.
+ Added: Some changes in help manual.
+ Added: Change in the software licence agreement.
         You are granted a non-exclusive licence
         to use the program on one computer at a time.
         Exception for users registered till July 27, 2003,
         they may use the old license.

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
July 11, 2003: Friendly Pinger 4.2.1
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

This intermediate version was built as a result of Friendly Net Viewer release.

+ Added: New product: Friendly Net Viewer - is FPinger without inventory feature.
+ Added: New price police as a result of FViewer release.
+ Added: Some changes at algorithm of registration information storing (for security).
         Registered users must reenter registration keys received earlier.
+ Added: Some changes in help manual.
+ Added: Polish interface language.

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
May 4, 2003: Friendly Pinger 4.2
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

+ Added: Support of Windows XP schemes without manifest file.
+ Added: New additional icons (see file Images.more\Preview.html).
+ Added: Support of Subst drives in Inventory.
+ Added: Faster loading of a map.
+ Added: Column COMMENT (in Templates\SQL.sql) replaced by CLASS_COMMENT,
         because it's a reserved word in Oracle.

* Fixed: FPinger was not started in Windows 2003.
* Fixed: Error at starting of second FPinger copy with started Inventory.
* Fixed: Error in calculation of IP addresses in 'Map Information'.
* Fixed: Error at receiving of inventory information from other computers.
* Fixed: Flashing at opening.
* Fixed: Some 'access violation' bugs.

(Look the following section, if you did not install version 4.2 beta)

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
April 12, 2003: Friendly Pinger 4.2 beta
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

General:

+ Added: New design of our site: http://www.kilievich.com/fpinger/

+ Added: "Run as service" option.
+ Added: Support of Windows XP shames.
+ Added: Support of Total Commander.
+ Added: Some interface changes to lighten work with product.
+ Added: New mechanism of hints.
         They are inherited from standard Windows hints now and behave correctly.

* Fixed: Some Access Violation bugs.
* Fixed: Icons, changed by user, were erased after FPinger reinstallation.
* Fixed: Chaotic transition in many windows by TAB key.

Map:

+ Added: Environment variables support at execution of external commands.
+ Added: %IP key for external commands and notification templates.
+ Added: Now you can use any keys in external commands, for example:
         Application:   net.exe
         Parameters:    send %Address %Text
         Text will be asked. Use %Password key to type password secretly.
+ Added: Print of selected area.
+ Added: Print on some sheets.
+ Added: Moving of object only by vertically or by horizontally by pressing SHIFT key.
+ Added: Moving of object by grid by pressing CTRL key.
+ Added: Align to grid.
+ Added: Button: "return to previous map". Hot key: Backspace.
+ Added: Displaying of computers count in status bar.
+ Added: Displaying of time elapsed from the last ping in status bar.
+ Added: Displaying of IP addresses count in Map Information (including additional addresses).
+ Added: Moving of map when you move objects outside the screen.
+ Added: Check box in Ping Options: economical mode.
+ Added: Button "Create copy" in configuration of devices types.
+ Added: Clear IP addresses cache (Ping | Clear Cache).
+ Added: Hints for lines.
+ Added: Different font color when device is ON and OFF.
+ Added: Icons of offline devices are darken.
+ Added: Some icons are improved.
+ Added: Icons from FPinger 2.x (see file FPinger\Images.more\Preview.html)

* Fixed: After "Save As..", in some versions of Windows
         sometimes the error "Unable to save the map" appeared.
* Fixed: Bug: "There is no default printer currently selected".
* Fixed: After moving objects with SHIFT key, the selection was removed from them.
* Fixed: Error after choosing undo operation, at line addition.
* Fixed: Some problems with main toolbar.
* Fixed: Bug: "Invalid argument to date encode".
* Fixed: Some errors with remembering of windows positions.
* Fixed: Sometimes the map completely disappeared after undo.
* Fixed: For devices, which have no address, there are removed menu items for notification, ping, etc.
* Fixed: Error at removing font styles from hints.
* Fixed: Accelerators on some labels did not work.

Connections:

+ Added: Possibility to view connections of another (remote) computer.
+ Added: One more way of notification: balloon hint from tray icon.
+ Added: Suspending, if any problem occurs.

* Fixed: Red sign in the tray icon disappeared while ping processes.
* Fixed: Error ConvertToGlobalHandle in Windows 2000 + SP3.

TraceRoute:

+ Added: Log-file.
+ Added: Option - to not determine host name.
         In a number of cases it accelerates TraceRoute process very much.
+ Added: Draw trace from local computer.
+ Added: Period of TraceRoute.

* Fixed: The trace stopped, if any of intermediate addresses did not answer.

Inventory:

+ Added: Export into a database through ADO.
         For the time being only SQL oriented databases are supported,
         in which the "Create Table" operator works.
         We have successfully tested on MS Access 2002, Oracle 9, MySQL 3.23.35.
+ Added: Export into Web site.
+ Added: Scheduler for automatic export.
+ Added: Hint when user moves mouse cursor over computer.
+ Added: Double click on computer displays it on the map.
+ Added: Improved mechanism of software collection. Now it is checked, that the program is not removed manually.
+ Added: New parameters for Collect.exe: -Desktop -StartMenu
         lets scan desktop and Start menu
         for advanced searching of software.
         Notes: this scanning usually takes 1-10 seconds,
         but sometimes it can take even one minute. Therefore by default it is switched off.
         This is a rather complicated operation: search all shortcuts in Start button of all users,
         find out on what applications they refer
         and extract from appropriated exe-files information about application,
         developer company and comment.
         But we did everything in our power to accelerate this process.
+ Added: Inventory collection from computers which are not in the network, "with floppy disk".
         Command to collect to floppy disk: Collect.exe -f:a:\
         To import from floppy disk, choose "File | Import..." in Inventory window.
+ Added: Timeout for sending inventory: Collect.exe -s:your_computer -t:2000
+ Added: Additional control of access right at collection information about BIOS in Windows 9x.
+ Added: Addition way for collection BIOS name in Windows 9x.
+ Added: The definition of Windows version is completely altered.
+ Added: Expand and collapse for departments.
+ Added: Collection of user's full name (if defined) in Windows NT, 2000, XP.
+ Added: Possibility to delete old computers.
+ Added: "Edit | Unite two computers".
+ Added: Inventories synchronization: "File | Import...".
+ Added: Collection of additional parameters from remote computer
         To do this, the following file must exist on remote computer:
         C:\Invenory.txt or C:\Invenory.ini, with the following format. For example:
           Serial Number: 123
           Additional = some information
         In inventory configuration the appropriate additional parameters must be present for computers:
         "Options | Configure... | Additional parameters for computers".
+ Added: Popup menu for computers - "Move to department".
+ Added: Inventory collection is improved for Windows 95
+ Added: Support of determination of Windows 2003 family.
+ Added: Searching of devices by name, address, hardware name, etc.
+ Added: Collection of IEEE 1394 devices.
+ Added: Collection of multiports serial adapters.
+ Added: Improved collection of processors speed at collection with the help of collect.exe.
+ Added: Possibility to add computer manually.
+ Added: Displaying how many devices of each type are in reports.
+ Added: New report type: "Hardware | General...".
         Configured in "Options | Computer Reports...".
+ Added: Database type BIGINT replaced by INTEGER (in Templates\SQL.sql),
         since its absence in some databases causes many questions (by what it must be replaced).
         Now the size of drives stored in database in megabytes.
+ Added: Columns VALUE (in Templates\SQL.sql) replaced by CUR_VALUE,
         becouse it's a reserver word in MS Access.
 
* Fixed: Windows NT was not determined sometimes.
* Fixed: Wrong definition that the printer is a network printer.
* Fixed: At choosing computer on the map, and entering in Inventory, it was not selected.
* Fixed: It was possible to edit computers names in the list.
* Fixed: Wrong definition of the display resolution in Windows 95.
* Fixed: Network cards and some other devices were not determined in Windows XP.

Note: This is a beta version. All new features will be documentary only in release.

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
November 24, 2002: Friendly Pinger 4.1
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

+ Added: PageUp, PageDn for scrolling of the map.
+ Added: Hot keys for many actions.
+ Added: Displaying of computers quantity in departments.
+ Added: Inventory|Report|Open in Microsoft Word.
+ Added: Computer report with the help of Microsoft Word template-file.
+ Added: The parameters of Collect.exe file are described in Help.
+ Added: The template-files are described in Help.
+ Added: Inventory|Help|Inventory FAQ... (Frequently Asked Questions).
+ Added: Connections|Help|Connections FAQ... (Frequently Asked Questions).
+ Added: The structure of database tables is some changed:
         COMPUTER_ID replaced with COMPUTER_NAME (for simplification of 'select');
         CLASS_ID replaced with CLASS_NAME (for independence from versions);
         All tables, that use COMPUTER_NAME,
         are indexed by this field (for acceleration of search).
+ Added: Export of inventory data into the text files with tabulators.
+ Added: Files and folders for export are remembered now.

* Fixed: The height of drives table.
* Fixed: The images in not gif format were not transparent on some display modes.
* Fixed: Initial positions of some windows.
* Fixed: Bug with connection to computer where FPServer is not started.
* Fixed: Bug with korean BIOS.
* Fixed: Bug with e-mail notification, if InterScan is installed on the server.
* Fixed: The error was always displayed on determination of hard drives serial numbers.
* Fixed: It was impossible to hide "General" toolbar.
* Fixed: Bug with Ctrl+C pressing in Inventory window.
* Fixed: EnumDisplaySettings error in some versions of Windows 95/NT.
* Fixed: EnumDisplayDevices error in some versions of Windows.
* Fixed: Overflow while displaying of colors quantity in Inventory.

(Look the following section, if you did not install version 4.1 beta)

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
November 4, 2002: Friendly Pinger 4.1 beta
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

General:

+ Added: "Device Type Properties" dialog box: "Show hints" check box.
+ Added: "Option|Appearance" dialog box: "Tile background image" check box.
+ Added: "Map Information" dialog box: "Take into account only selected objects".
+ Added: IP address in devices' hints (in status).
+ Added: Header and body for e-mail and message notifications are customizable now.
+ Added: Smaller map size after saving.
* Fixed: Checking of dialog box positions on its opening.
* Fixed: Error on closing of application on initialization.
* Fixed: "Disconnect" menu item was by default on computers instead of "Connect".
* Fixed: Error: invalid floating point operation.
* Fixed: Error when hint displayed and some error was shown.
* Fixed: Unable to place buttons "Pause ping of selected device" and some others on toolbar.
* Fixed: It was possible to pause devices with "bind to other devices" polling mode.
* Fixed: Some hints were winking on some versions of Windows.
* Fixed: Error on updating of message notification windows.

Connections:

+ Added: New way of kick-mode choice (black or white).
+ Added: Displaying of idle time and active time.
* Fixed: Connection windows did not remember maximized state.
* Fixed: Opened files were not displayed in Windows ME.

Inventory:

+ Added: Collection Control dialog box.
+ Added: History Filters dialog box.
+ Added: New dialog for exporting into a SQL-file.
+ Added: Report for a separate computer (HTML and Microsoft Word format).
+ Added: Division of the employees into departments.
+ Added: The report separately on each department.
+ Added: Customizable list of undesirable software,
         for example, for looking for games in your company.
+ Added: Sorting by processor speed, host names and collection time.
+ Added: Hardware General report (processor, memory, total space).
+ Added: One more way of hard drives detection.
+ Added: Detection of hard drives serial numbers.
+ Added: In Windows 95/98/ME FPinger itself measures processor speed.
         (unlike Windows NT/2000/XP).
         Now error of gauging is reduced from 1% to 0.1%.
+ Added: Now it is considered, that the processor is changed only
         if its frequency has changed more than on 10%
         (To exclude superfluous e-mail notifications).
+ Added: The algorithm of processors types definition is improved.
+ Added: Differentiation on local and network printers.
+ Added: Detection of mouse and keyboard.
+ Added: Two more ways of video-cards detection.
+ Added: One more way of monitors detection.
+ Added: Detection of current display mode (resolution, frequency, bps).
+ Added: Detection of memory size of video-cards.
+ Added: One more way of network-card detection.
+ Added: Detection of processors serial numbers (if allowed).
+ Added: Detection of file system of disk drives.
+ Added: -WaitForUserName parameter for collect.exe to wait for user name
         to pass the error in Windows 95.
+ Added: Displaying of error and error code in case of fault to detect
         user name, IP addresses, MAC addresses.
+ Added: Detection of several video-cards and monitors on one computer.
+ Added: -HDWithoutSerials parameter to collect hard drives
         without serial numbers.
+ Added: Detection of BIOS name and version.
+ Added: Processor speed, memory size, total and free space are stored separately
         in SQL file as integers (for simplification of SQL queries).
+ Added: Collection time is stored on export into a SQL-file.
+ Added: History is now exported into SQL or TXT too.
+ Added: Sound cards are collected separately.
* Fixed: The removal or addition of one of identical devices was not fixed.
* Fixed: Sometimes equipment was not determined on Windows 95/NT.
* Fixed: Now compressed disks do not notify constantly about change of its sizes.
* Fixed: Errors with positions of "Add", "Delete", "Edit" buttons in "Users" section
         if large font chosen in Windows configuration.
* Fixed: Inventory window did not remember maximized state.
* Fixed: Error on detection disk drives on Unicode systems.
* Fixed: Search of identical software.
* Fixed: Incorrect headers of software reports.
* Fixed: On change of Windows version FPinger informed about change of MAC address.

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
September 30, 2002: Release Friendly Pinger 4
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

+ Added: "Help|Online Flash Demonstration".
+ Added: New prices and discounts.

* Fixed: Error on "Edit|Rotate|Mirrow".
* Fixed: Error on invalid Notification.log file loading.
* Fixed: "Edit|Add" did not work in beta version.
* Fixed: "Edit|Link Lines" did not work in beta version.
* Fixed: "Unlock" menu item did not change to "Lock" after unlocking.
* Fixed: The objects moved with "Ctrl+Cursor" even if "Lock moving" mode was selected.
* Fixed: Wrong location values in Inventory in beta-version.
* Fixed: The way of the distribution kit was not remembered.
* Fixed: The hints were blinked on toolbar buttons.
* Fixed: Toolbar options were not taken into account.
* Fixed: Toolbar options where not remembered.
* Fixed: Error, if you close FPinger at an open "Wizard" window.
* Fixed: Error with ticks in "Wizard".
* Fixed: Error on printing an empty map.
* Fixed: "Edit Mode" button made active "History" page instead of
         "Additional" in beta version.
* Fixed: "Fit to page" print mode did not display its scale.
* Fixed: In editors the button for choosing a file did not work,
         if a path was specified instead of a file.
* Fixed: Error on viewing inventory,
         if there are strange ini-files in "Inventory" folder.
* Fixed: Sometimes inventory collection found superfluous processors.
* Fixed: Error on editing of devices hints.
* Fixed: Scanning dialog box could change the size.
* Fixed: Incorrect height of disk drives list in Inventory window.
* Fixed: Some "Help" buttons did not work in beta version.
* Fixed: Some errors at closing.
* Fixed: Incorrect time of packages if RAW-socket ping mode was selected.
* Fixed: Absence of the images in Russian help file.
* Fixed: The codepage was not specified in Russian help file.

(Look the following section, if you did not install version 4.0 beta)

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
September 16, 2002: Friendly Pinger 4.0 beta
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

+ Added: History of changes of inventory information.
+ Added: E-mail notification on changes of inventory information.
+ Added: Notification e-mail options are moved to general program options
         and combined with inventory e-mail options.
+ Added: Additional, customizable properties for inventory information:
         journals, information about computer, users.
+ Added: Inventory options are improved and lightened.
+ Added: New way of displaying hardware in inventory window.

+ Added: Toolbar.
+ Added: Hints of help items and toolbar buttons.
+ Added: New print dialog with new options.
+ Added: Undo/Redo.
+ Added: History of opened files.

+ Added: Moving nodes of lines to centers of devices.
+ Added: The time of event is shown in e-mail notification.
+ Added: The size of background bitmap is taken into account on setting the map size.
+ Added: Current user in connections is shown in the hint of system tray.
+ Added: "Group Operation" dialog box: allows to arrange,
         to change type, names, addresses of some devices at once.
+ Added: That the map is changed is shown in "save" icon.
+ Added: New improved algorithm of Total Commander searching.
+ Added: Help in Russian language.

* Fixed: FPinger window some times did not restore the maximized state.
* Fixed: The "Link Lines" was not taken into account on alignment.
* Fixed: Error on execution of external command on double click.
* Fixed: Problem with loss of bat-file folder.
* Fixed: The processors are duplicated in inventory.
* Fixed: Notification window was not closed some times.
* Fixed: Some bugs on printing.

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
July 21, 2002: Release Friendly Pinger 3.8
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

+ Added: New installer.
+ Added: System of the setup creation.
+ Added: Freeware lite version in setup creation.
+ Added: Three ways of map locking.
+ Added: New easy (79 kb) inventory client (collect.exe).
+ Added: Access permissions in "Connections".

* Fixed: Some errors at initialization of application.
* Fixed: Incorrect version in "About" window in unregistered version.
* Fixed: Some errors at closing of application.
* Fixed: Sometimes application was not closed by ESC.
* Fixed: Mouse wheel moved map window and TraceRoute window simultaneously.
* Fixed: Some errors at SQL exporting of inventory.
* Fixed: Web pages always were opened in Internet Explorer, despite of presence of other browsers.
* Fixed: E-mail notification did not work.
* Fixed: Some errors at installation of the new version, if previous version runs.

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
June 31, 2002: Release Friendly Pinger 3.7
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

+ Added: Binding devices to devices.
+ Added: Sub-maps.
+ Added: New device type: network printer.
+ Added: Kicklist uses IP addresses.
+ Added: Pause for some devices.
+ Added: Now, if the program is minimized, only the devices are pinged,
         which have notification. It saves netrwork traffic.
+ Added: Printing of a map.
+ Added: Acceleration of drawing.
+ Added: Rotation of a map.
+ Added: The device with empty address is always ON.
+ Added: The initial directories of many file-dialogues are given.
+ Added: F4 - Pause. F2 - Change name of selected device.
+ Added: Searching in sub-maps.
+ Added: Clipboard.
+ Added: Additional addresses of devices.
+ Added: Visual TraceRoute.
+ Added: Visual TraceRoute uses additional addresses.
+ Added: Windows95.zip (with several dll-files) is placed on our site
         for compatibility with Windows 95:
         http://www.kilievich.com/Windows95.zip
+ Added: New type of notification: animation of tray icon.
+ Added: The device is allocated on clicking the appropriate line of notification message.
+ Added: New style of errors window. Errors report generation.
+ Added: Moving when search.
+ Added: Friendly Pinger Server (beta) - for ping and trace from other computers.
+ Added: Various amount of event verification in notification.
+ Added: Configuration of collected information in inventory.
+ Added: Tray icon is animated while ping in process.

* Fixed: Error when hover mouse over a computer's icon and right-click the hint.
* Fixed: Some errors in "Map Information".
* Fixed: Kicklist was not saved.
* Fixed: Error at definition of Windows version.
* Fixed: "Connections" did not work on Windows NT.
* Fixed: The map was not pinged after reopening.
* Fixed: User name was not always determined at inventory.
* Fixed: Case sensitive in software list.
* Fixed: Error with inverted commas when inventory SQL-file is generated.
* Fixed: Fields "NAME" changed to "USER_NAME" in database tables of inventory.
* Fixed: Error with '<', '>' symbols when inventory report is generated.
* Fixed: Some errors when application was closed from tray icon and some windows were visible.
* Fixed: Sometimes the "Connections" did not occur on hot key.
* Fixed: Some memory leak in "Connections".

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
May 31, 2002: Release Friendly Pinger 3.6
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

+ Added: New engine of "Connections".
+ Added: Acceleration of "Connections".
+ Added: Popup menu in "Connections".
+ Added: Double click in "Connections" opens file or folder, or selects computer on the map.
+ Added: "Connections" window remembers its state after closing.
+ Added: Now kicklist can be black or white.
+ Added: New icons for displaying of "Connections" state in system tray.
+ Added: Hot key for "Connections".
+ Added: Option in Notification Configuration:
         "Hide notification window after some seconds".
+ Added: Arrangement either by icons or by labels ("Edit\Align\Arrange by labels").
+ Added: Timeout in Wizard.
+ Added: Now Wizard range is remembered.
+ Added: Name of the map in the hint of tray icon.
+ Added: Map as fpinger.exe parameter.
+ Added: Email encoding (WIN, KOI8-R).
+ Added: Drag-and-Drop for open maps.
+ Added: Registration of our new domain: www.kilievich.com.

* Fixed: Redrawing in "Connections" was twinkle.
* Fixed: Demo.map was rewritten by the new version.
* Fixed: Every time IP address and computer name should be entered  for searching.
* Fixed: Some errors at sound recording (in Notification).
* Fixed: FPinger 3.0 on background.
* Fixed: Mb instead of Gb in Inventory.
* Fixed: Some errors on closing.
* Fixed: After searching the computer was not selected.
* Fixed: The line under device was sometimes dragged instead of the device, though the line was not allocated.
* Fixed: There was no warning that the map was not saved, if only lines were moved.
* Fixed: The lines are not dragged sometimes.
* Fixed: The "Scan" and "Wizard" windows were not dragged.
* Fixed: There were yellow rectangles on Wind9x systems when true color display mode was not chosen.
* Fixed: The special symbols were not processed at reports generation and export in SQL file.
* Fixed: Msvrct.dll is placed on our site for compatibility with Windows 95:
         http://www.kilievich.com/msvrct.dll

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
April 20, 2002: Release Friendly Pinger 3.5
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

+ Added: Event Notification Service:
         Visual, audio, email notification when computers wake up or go down;
         Saving events to the log-file, displaying on a Web page, generating reports.

+ Added: Options\Other\System: "Allow only 1 copy of FP at a time".

+ Added: New engine of program localization.

+ Added: New item in the main menu of program: "View".

+ Added: "Set device type" in the popup menu of devices.

+ Added: "Configure device type" in the popup menu of devices.

+ Added: Hint when you hover the mouse over the list of computers in the "Inventory" window.

+ Added: Hint when you hover the mouse over files in the "Connections" window.

+ Added: "Stop", "Restart" buttons in "Scan" window.

+ Added: Connected time in "Connections".

+ Added: Animation after searching of devices or selecting from "Connections".

+ Added: Total Commander is started automatically after "Open in TotalCmd".

+ Added: New Uninstall.exe with "Repair" and "Update".

+ Added: Definition of processors frequencies in inventory in Windows 9x systems.

+ Added: Definition of MAC address in inventory.

+ Added: Printer port is displayed in inventory.

+ Added: New reports: general and misc.

+ Added: Additional disk drives information in inventory.

+ Added: All IP addresses are searched in inventory.

+ Added: Edit\Link Lines.

+ Added: Displaying quantity of pinged devices in "Map Information".

+ Added: Devices are not deleted at repeated "Wizard".

+ Added: Check is set only for those devices wich are not present on the map (in "Wizard").

* Fixed: Minimization of "Scan" and "Wizard" windows.

* Fixed: "Connections" showed only time without date.

* Fixed: The map was shown when the "Connections" window started from system tray.
 
* Fixed: The map was shown when the "Inventory" window started from system tray.

* Fixed: Graphical menu in "Options" window showed sometimes scrollbars.

* Fixed: Impossible to switch to FP from "Task Manager" when Help appears.

* Fixed: Confirmation windows were not modal.

* Fixed: The "OK" button was not by default in some dialogs.

* Fixed: The reports opened in an old explorer window.

* Fixed: Link to FPinger home page in about box opened in an old explorer window.

* Fixed: Configurations and log-files deleted after uninstallation without confirmation.

* Fixed: IP-Address was not determined at start with /i parameter.

* Fixed: Windows Version and build number was not determined for Windows 98.

* Fixed: If computer have more than one some devices, only first was showed in inventory repors.

* Fixed: Wrong definition of some processors frequencies in inventory.

* Fixed: Memory leak at repeated inventory.

* Fixed: Some devices were not found at "Wizard".

* Fixed: Devices were not found in Windows NT.

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
March 24, 2002: Release Friendly Pinger 3.4
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

+ Added: Inventory (look for software and hardware over the network).

+ Added: Various interface languages. Ability of localization.

+ Added: Moving the map by right mouse button.

+ Added: Additional parameters for lines (style, thickness).

+ Added: "Add devices to the new map" in wizard.

+ Added: Lowest priority of thread which pings.

* Fixed: Some errors in "Scan Options".

* Fixed: The same processor usage even if minimized.

* Fixed: Error at configuration file saving.

* Fixed: Incorrect position of "Options" window.

* Fixed: Some ini-files were not deleted at uninstall.

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
March 04, 2002: Release Friendly Pinger 3.3
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

+ Added: Connections - looks what files are copied from your computer,
         the history and the kicklist are present, for example,
         it is possible to forbid to look videofilms from your computer,
         while you are playing Quake.
 
+ Added: Export - save the map into the image file.

+ Added: Periodically export after each ping.
         Usually it is used for displaying the map as desktop wallpaper,
         or for remote monitoring through web-pages.
 
+ Added: Node selection.
         You can select the certain line node for its moving.
         You can move the selected node with keyboard cursor,
         keeping SHIFT or CTRL keys.
 
* Fixed: Error with # symbol in external commands.
         Now, only the last # symbol is a comment separator.
 
* Fixed: Error with zero in the IP-address in "Wizard".

* Fixed: Errors with mouse cursor when new line is added and the map is pinged.

* Fixed: Some errors with hints viewing.

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
February 15, 2002: Release Friendly Pinger 3.2
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

+ Added: Wizard - will allow you to create the initial map easy and quickly.

+ Added: Scanning - you will learn much more about your network.
         Due to unique technologies in a recordly short time you can find out
         what http, ftp, game and other servers are present in your network.

+ Added: [b], [i], [u] buttons in "Device properties";

+ Added: Supporting of http, ftp and email references in the devices hints;

+ Added: Multiline editor for device name;

* Fixed: In version 3.0 I have found an error: some frames was not drawn transparently.
         In version 3.1 this error was fixed by replacement of drawing algorithm.
         The drawing speed has decreased in 10 times. In version 3.2 the old drawing
         algorithm is corrected and the drawing speed again has increased!
 
+ Added: Simplification of map information;

+ Added: Switching-off hints;

+ Added: Showing some devices name on to the right;

+ Added: Any format of the devices images;

+ Added: Acceleration of program and configuration dialog initialization;

+ Added: Memory usage optimization.

* Fixed: Deceleration after very long usage time.

* Fixed: "Access violation" sometimes on close.

* Fixed: Some error at execution in Windows 9x.

* Fixed: Some errors in uninstaller.

+ Added: Mailing list: http://www.kilievich.com/mailinglist.htm;

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
January 31, 2002: Release Friendly Pinger 3.1
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

+ Added: New additional devices images.

* Fixed: Some computers were not pinged.
         (Only in RAW-Socket ping mode, when computers with
         incorrect DNS-names were present).
 
+ I have got many letters with the question:
  "Why does pinging in RAW-Socket mode take more time,
   than pinging in ICMP-dll mode?"
 
  Yes, it's true, if you use DNS-names of devices
  instead of their IP-addresses.
 
  Getting hosts by names in RAW-Socket ping mode occurs in turn
  (pinging occurs parallel). In ICMP-dll ping mode the separate process
  allocates for each device, and everything occurs parallel,
  but it uses the processor more. That is why, I have left two pinging modes.
 
  Added: Getting host by name in RAW-Socket ping mode is visualized and
         displayed in the status bar.
 
* Fixed: Some errors in uninstaller.

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
January 26, 2002: Release Friendly Pinger 3.0
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
